
package org.sky.scientific.wrapper;

import org.sky.core.mp.support.BaseEntityWrapper;
import org.sky.core.tool.utils.BeanUtil;
import org.sky.scientific.pojo.entity.YsQtfyEntity;
import org.sky.scientific.pojo.vo.YsQtfyVO;
import java.util.Objects;

/**
 * 项目预算-其他费用 包装类,返回视图层所需的字段
 *
 * @author Kd
 * @since 2025-06-29
 */
public class YsQtfyWrapper extends BaseEntityWrapper<YsQtfyEntity, YsQtfyVO> {

	public static YsQtfyWrapper build() {
		return new YsQtfyWrapper();
 	}

	@Override
	public YsQtfyVO entityVO(YsQtfyEntity ysQtfy) {
		YsQtfyVO ysQtfyVO = Objects.requireNonNull(BeanUtil.copyProperties(ysQtfy, YsQtfyVO.class));

		//User createUser = UserCache.getUser(ysQtfy.getCreateUser());
		//User updateUser = UserCache.getUser(ysQtfy.getUpdateUser());
		//ysQtfyVO.setCreateUserName(createUser.getName());
		//ysQtfyVO.setUpdateUserName(updateUser.getName());

		return ysQtfyVO;
	}


}
